Business Profile
Your WhatsApp Business Profile
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
whatsapp- whatsapp
Automotive- AutomotiveBeauty, Spa and Salon- Beauty, Spa and SalonClothing and Apparel- Clothing and ApparelEducation- EducationEntertainment- EntertainmentEvent Planning and Service- Event Planning and ServiceFinance and Banking- Finance and BankingFood and Grocery- Food and GroceryPublic Service- Public ServiceHotel and Lodging- Hotel and LodgingMedical and Health- Medical and HealthNon-profit- Non-profitProfessional Services- Professional ServicesShopping and Retail- Shopping and RetailTravel and Transportation- Travel and TransportationRestaurant- RestaurantOther- Other
GET /api/v1/settings/business/profile/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"address": "text",
"description": "text",
"email": "name@gmail.com",
"messaging_product": "whatsapp",
"vertical": "Automotive",
"websites": []
}A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
whatsapp- whatsapp
Automotive- AutomotiveBeauty, Spa and Salon- Beauty, Spa and SalonClothing and Apparel- Clothing and ApparelEducation- EducationEntertainment- EntertainmentEvent Planning and Service- Event Planning and ServiceFinance and Banking- Finance and BankingFood and Grocery- Food and GroceryPublic Service- Public ServiceHotel and Lodging- Hotel and LodgingMedical and Health- Medical and HealthNon-profit- Non-profitProfessional Services- Professional ServicesShopping and Retail- Shopping and RetailTravel and Transportation- Travel and TransportationRestaurant- RestaurantOther- Other
whatsapp- whatsapp
Automotive- AutomotiveBeauty, Spa and Salon- Beauty, Spa and SalonClothing and Apparel- Clothing and ApparelEducation- EducationEntertainment- EntertainmentEvent Planning and Service- Event Planning and ServiceFinance and Banking- Finance and BankingFood and Grocery- Food and GroceryPublic Service- Public ServiceHotel and Lodging- Hotel and LodgingMedical and Health- Medical and HealthNon-profit- Non-profitProfessional Services- Professional ServicesShopping and Retail- Shopping and RetailTravel and Transportation- Travel and TransportationRestaurant- RestaurantOther- Other
PATCH /api/v1/settings/business/profile/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 133
{
"address": "text",
"description": "text",
"email": "name@gmail.com",
"messaging_product": "whatsapp",
"vertical": "Automotive",
"websites": []
}{
"address": "text",
"description": "text",
"email": "name@gmail.com",
"messaging_product": "whatsapp",
"vertical": "Automotive",
"websites": []
}Retrieve Profile Photo - only available for admin Users.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
GET /api/v1/settings/profile/photo/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
binaryUpdate Profile Photo - only available for admin Users.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
Binary file
Binary file
POST /api/v1/settings/profile/photo/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38
{
"file_encoded": "https://example.com"
}{}Delete Profile Photo - only available for admin Users.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
No response body
No content
DELETE /api/v1/settings/profile/photo/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
No response body
No content
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
Refresh operation is started and response is given immediately, before finish.
No content
POST /api/v1/settings/refresh/issue/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
Refresh operation is started and response is given immediately, before finish.
No content
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
falseGET /api/v1/settings/refresh/status/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"currently_refreshing": false
}Last updated
Was this helpful?